## ros-one-moveit-ros-benchmarks 1.1.16-51noble.20260301.2218

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(moveit_ros_benchmarks)

set(MOVEIT_LIB_NAME moveit_ros_benchmarks)

find_package(Boost REQUIRED filesystem)

find_package(catkin REQUIRED COMPONENTS
  tf2_eigen
  moveit_ros_planning
  moveit_ros_warehouse
  roscpp
  pluginlib
)
moveit_build_options()

catkin_package(
  LIBRARIES ${MOVEIT_LIB_NAME}
  CATKIN_DEPENDS
    tf2_eigen
    moveit_ros_planning
    moveit_ros_warehouse
    roscpp
  DEPENDS
  INCLUDE_DIRS include
)

include_directories(include)
include_directories(SYSTEM ${catkin_INCLUDE_DIRS} ${Boost_INCLUDE_DIRS})

add_library(${MOVEIT_LIB_NAME} src/BenchmarkOptions.cpp
                               src/BenchmarkExecutor.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_link_libraries(${MOVEIT_LIB_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})

add_executable(moveit_run_benchmark src/RunBenchmark.cpp)
target_link_libraries(moveit_run_benchmark ${MOVEIT_LIB_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})
add_executable(moveit_combine_predefined_poses_benchmark src/simple_benchmarks/CombinePredefinedPosesBenchmark.cpp)
target_link_libraries(moveit_combine_predefined_poses_benchmark ${MOVEIT_LIB_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})

install(
  TARGETS
    ${MOVEIT_LIB_NAME}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

install(
  TARGETS
    moveit_run_benchmark
    moveit_combine_predefined_poses_benchmark
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY include/ DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION})

catkin_install_python(
  PROGRAMS scripts/moveit_benchmark_statistics.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY examples/ DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/examples)

## ros-one-moveit-ros-benchmarks 1.1.16-49jammy.20251023.1611

=== debian/changelog ===
ros-one-moveit-ros-benchmarks (1.1.16-49jammy.20251023.1611) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <dave@picknik.ai>  Thu, 23 Oct 2025 16:11:33 +0000

ros-one-moveit-ros-benchmarks (1.1.16-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Mon, 07 Oct 2024 00:00:00 -0000

ros-one-moveit-ros-benchmarks (1.1.15-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Mon, 09 Sep 2024 00:00:00 -0000

ros-one-moveit-ros-benchmarks (1.1.14-0jammy) jammy; urgency=high

  * Use boost::timer::progress_display if available (#3547 <https://github.com/ros-planning/moveit/issues/3547>)
  * Contributors: Michael Görner

 -- Dave Coleman <dave@picknik.ai>  Mon, 27 May 2024 00:00:00 -0000

ros-one-moveit-ros-benchmarks (1.1.13-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Fri, 28 Jul 2023 00:00:00 -0000

ros-one-moveit-ros-benchmarks (1.1.12-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sat, 13 May 2023 00:00:00 -0000

ros-one-moveit-ros-benchmarks (1.1.11-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Wed, 21 Dec 2022 00:00:00 -0000

ros-one-moveit-ros-benchmarks (1.1.10-0jammy) jammy; urgency=high

  * Fix namespace of planning plugin for benchmarks examples (#3128 <https://github.com/ros-planning/moveit/issues/3128>)
  * Replace bind() with lambdas (#3106 <https://github.com/ros-planning/moveit/issues/3106>)
  * Filter more invalid values in moveit_benchmark_statistics.py (#3084 <https://github.com/ros-planning/moveit/issues/3084>)
  * Contributors: Hugal31, Michael Görner, Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Tue, 13 Sep 2022 00:00:00 -0000

ros-one-moveit-ros-benchmarks (1.1.9-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sun, 06 Mar 2022 00:00:00 -0000

ros-one-moveit-ros-benchmarks (1.1.8-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sun, 30 Jan 2022 00:00:00 -0000

ros-one-moveit-ros-benchmarks (1.1.7-0jammy) jammy; urgency=high

  * Provide ``MOVEIT_VERSION_CHECK`` macro (#2997 <https://github.com/ros-planning/moveit/issues/2997>)
  * Switch to ``std::bind`` (#2967 <https://github.com/ros-planning/moveit/issues/2967>)
  * Contributors: Jochen Sprickerhof, Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Fri, 31 Dec 2021 00:00:00 -0000

ros-one-moveit-ros-benchmarks (1.1.6-0jammy) jammy; urgency=high

  * Use newly introduced cmake macro ``moveit_build_options()`` from ``moveit_core``
  * clang-tidy: modernize-make-shared, modernize-make-unique (#2762 <https://github.com/ros-planning/moveit/issues/2762>)
  * Fix predefined poses benchmark example (#2718 <https://github.com/ros-planning/moveit/issues/2718>)
  * Contributors: Captain Yoshi, Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Sat, 06 Nov 2021 00:00:00 -0000

ros-one-moveit-ros-benchmarks (1.1.5-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sun, 23 May 2021 00:00:00 -0000

ros-one-moveit-ros-benchmarks (1.1.4-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Wed, 12 May 2021 00:00:00 -0000

ros-one-moveit-ros-benchmarks (1.1.3-0jammy) jammy; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Thu, 29 Apr 2021 00:00:00 -0000

ros-one-moveit-ros-benchmarks (1.1.2-0jammy) jammy; urgency=high

  * Fix formatting errors
  * Contributors: Tyler Weaver

 -- Dave Coleman <dave@picknik.ai>  Thu, 08 Apr 2021 00:00:00 -0000

ros-one-moveit-ros-benchmarks (1.1.1-0jammy) jammy; urgency=high

  * [fix] python3 issues (#2323 <https://github.com/ros-planning/moveit/issues/2323>)
  * [maint] Cleanup MSA includes (#2351 <https://github.com/ros-planning/moveit/issues/2351>)
  * Contributors: Michael Görner, Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Tue, 13 Oct 2020 00:00:00 -0000

ros-one-moveit-ros-benchmarks (1.1.0-0jammy) jammy; urgency=high

  * [feature] Benchmark combinations of predefined poses (#1548 <https://github.com/ros-planning/moveit/issues/1548>)
  * [feature] Support benchmarking of full planning pipelines (#1531 <https://github.com/ros-planning/moveit/issues/1531>)
  * [fix] Various fixes for upcoming Noetic release (#2180 <https://github.com/ros-planning/moveit/issues/2180>)
  * [fix] Fix plot details, correcting xlabels positions and cleaning the graph (#1658 <https://github.com/ros-planning/moveit/issues/1658>) (#1668 <https://github.com/ros-planning/moveit/issues/1668>)
  * [maint] Optional cpp version setting (#2166 <https://github.com/ros-planning/moveit/issues/2166>)
  * [maint] clang-tidy fixes (#2050 <https://github.com/ros-planning/moveit/issues/2050>, #2004 <https://github.com/ros-planning/moveit/issues/2004>, #1419 <https://github.com/ros-planning/moveit/issues/1419>)
  * [maint] Fix usage of panda_moveit_config (#1904 <https://github.com/ros-planning/moveit/issues/1904>)
  * [maint] Replace namespaces robot_state and robot_model with moveit::core (#1924 <https://github.com/ros-planning/moveit/issues/1924>)
  * [maint] Fix compiler warnings (#1773 <https://github.com/ros-planning/moveit/issues/1773>)
  * [maint] Do not install helper scripts in global bin destination (#1704 <https://github.com/ros-planning/moveit/issues/1704>)
  * [maint] Cleanup launch + config files (#1631 <https://github.com/ros-planning/moveit/issues/1631>)
  * [maint] Switch from include guards to pragma once (#1615 <https://github.com/ros-planning/moveit/issues/1615>)
  * [maint] Remove ! from MoveIt name (#1590 <https://github.com/ros-planning/moveit/issues/1590>)
  * Contributors: Ayush Garg, Dave Coleman, Henning Kayser, Jonathan Binney, Mahmoud Ahmed Selim, Markus Vieth, Michael Görner, Robert Haschke, Sean Yen, Tyler Weaver, Yu, Yan

 -- Dave Coleman <dave@picknik.ai>  Fri, 04 Sep 2020 00:00:00 -0000

ros-one-moveit-ros-benchmarks (1.0.6-0jammy) jammy; urgency=high

  * [maint] Adapt repository for splitted moveit_resources layout (#2199 <https://github.com/ros-planning/moveit/issues/2199>)


=== debian/control ===
Source: ros-one-moveit-ros-benchmarks
Section: misc
Priority: optional
Maintainer: Dave Coleman <dave@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-moveit-ros-planning, ros-one-moveit-ros-warehouse, ros-one-pluginlib (>= 1.11.2), ros-one-roscpp, ros-one-tf2-eigen
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-one-moveit-ros-benchmarks
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-moveit-ros-planning, ros-one-moveit-ros-warehouse, ros-one-pluginlib (>= 1.11.2), ros-one-roscpp, ros-one-tf2-eigen
Description: Enhanced tools for benchmarks in MoveIt

## ros-one-moveit-ros-benchmarks 1.1.16-49noble.20251023.1648

=== debian/changelog ===
ros-one-moveit-ros-benchmarks (1.1.16-49noble.20251023.1648) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <dave@picknik.ai>  Thu, 23 Oct 2025 16:48:30 +0000

ros-one-moveit-ros-benchmarks (1.1.16-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Mon, 07 Oct 2024 00:00:00 -0000

ros-one-moveit-ros-benchmarks (1.1.15-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Mon, 09 Sep 2024 00:00:00 -0000

ros-one-moveit-ros-benchmarks (1.1.14-0noble) noble; urgency=high

  * Use boost::timer::progress_display if available (#3547 <https://github.com/ros-planning/moveit/issues/3547>)
  * Contributors: Michael Görner

 -- Dave Coleman <dave@picknik.ai>  Mon, 27 May 2024 00:00:00 -0000

ros-one-moveit-ros-benchmarks (1.1.13-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Fri, 28 Jul 2023 00:00:00 -0000

ros-one-moveit-ros-benchmarks (1.1.12-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sat, 13 May 2023 00:00:00 -0000

ros-one-moveit-ros-benchmarks (1.1.11-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Wed, 21 Dec 2022 00:00:00 -0000

ros-one-moveit-ros-benchmarks (1.1.10-0noble) noble; urgency=high

  * Fix namespace of planning plugin for benchmarks examples (#3128 <https://github.com/ros-planning/moveit/issues/3128>)
  * Replace bind() with lambdas (#3106 <https://github.com/ros-planning/moveit/issues/3106>)
  * Filter more invalid values in moveit_benchmark_statistics.py (#3084 <https://github.com/ros-planning/moveit/issues/3084>)
  * Contributors: Hugal31, Michael Görner, Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Tue, 13 Sep 2022 00:00:00 -0000

ros-one-moveit-ros-benchmarks (1.1.9-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sun, 06 Mar 2022 00:00:00 -0000

ros-one-moveit-ros-benchmarks (1.1.8-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sun, 30 Jan 2022 00:00:00 -0000

ros-one-moveit-ros-benchmarks (1.1.7-0noble) noble; urgency=high

  * Provide ``MOVEIT_VERSION_CHECK`` macro (#2997 <https://github.com/ros-planning/moveit/issues/2997>)
  * Switch to ``std::bind`` (#2967 <https://github.com/ros-planning/moveit/issues/2967>)
  * Contributors: Jochen Sprickerhof, Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Fri, 31 Dec 2021 00:00:00 -0000

ros-one-moveit-ros-benchmarks (1.1.6-0noble) noble; urgency=high

  * Use newly introduced cmake macro ``moveit_build_options()`` from ``moveit_core``
  * clang-tidy: modernize-make-shared, modernize-make-unique (#2762 <https://github.com/ros-planning/moveit/issues/2762>)
  * Fix predefined poses benchmark example (#2718 <https://github.com/ros-planning/moveit/issues/2718>)
  * Contributors: Captain Yoshi, Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Sat, 06 Nov 2021 00:00:00 -0000

ros-one-moveit-ros-benchmarks (1.1.5-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Sun, 23 May 2021 00:00:00 -0000

ros-one-moveit-ros-benchmarks (1.1.4-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Wed, 12 May 2021 00:00:00 -0000

ros-one-moveit-ros-benchmarks (1.1.3-0noble) noble; urgency=high



 -- Dave Coleman <dave@picknik.ai>  Thu, 29 Apr 2021 00:00:00 -0000

ros-one-moveit-ros-benchmarks (1.1.2-0noble) noble; urgency=high

  * Fix formatting errors
  * Contributors: Tyler Weaver

 -- Dave Coleman <dave@picknik.ai>  Thu, 08 Apr 2021 00:00:00 -0000

ros-one-moveit-ros-benchmarks (1.1.1-0noble) noble; urgency=high

  * [fix] python3 issues (#2323 <https://github.com/ros-planning/moveit/issues/2323>)
  * [maint] Cleanup MSA includes (#2351 <https://github.com/ros-planning/moveit/issues/2351>)
  * Contributors: Michael Görner, Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Tue, 13 Oct 2020 00:00:00 -0000

ros-one-moveit-ros-benchmarks (1.1.0-0noble) noble; urgency=high

  * [feature] Benchmark combinations of predefined poses (#1548 <https://github.com/ros-planning/moveit/issues/1548>)
  * [feature] Support benchmarking of full planning pipelines (#1531 <https://github.com/ros-planning/moveit/issues/1531>)
  * [fix] Various fixes for upcoming Noetic release (#2180 <https://github.com/ros-planning/moveit/issues/2180>)
  * [fix] Fix plot details, correcting xlabels positions and cleaning the graph (#1658 <https://github.com/ros-planning/moveit/issues/1658>) (#1668 <https://github.com/ros-planning/moveit/issues/1668>)
  * [maint] Optional cpp version setting (#2166 <https://github.com/ros-planning/moveit/issues/2166>)
  * [maint] clang-tidy fixes (#2050 <https://github.com/ros-planning/moveit/issues/2050>, #2004 <https://github.com/ros-planning/moveit/issues/2004>, #1419 <https://github.com/ros-planning/moveit/issues/1419>)
  * [maint] Fix usage of panda_moveit_config (#1904 <https://github.com/ros-planning/moveit/issues/1904>)
  * [maint] Replace namespaces robot_state and robot_model with moveit::core (#1924 <https://github.com/ros-planning/moveit/issues/1924>)
  * [maint] Fix compiler warnings (#1773 <https://github.com/ros-planning/moveit/issues/1773>)
  * [maint] Do not install helper scripts in global bin destination (#1704 <https://github.com/ros-planning/moveit/issues/1704>)
  * [maint] Cleanup launch + config files (#1631 <https://github.com/ros-planning/moveit/issues/1631>)
  * [maint] Switch from include guards to pragma once (#1615 <https://github.com/ros-planning/moveit/issues/1615>)
  * [maint] Remove ! from MoveIt name (#1590 <https://github.com/ros-planning/moveit/issues/1590>)
  * Contributors: Ayush Garg, Dave Coleman, Henning Kayser, Jonathan Binney, Mahmoud Ahmed Selim, Markus Vieth, Michael Görner, Robert Haschke, Sean Yen, Tyler Weaver, Yu, Yan

 -- Dave Coleman <dave@picknik.ai>  Fri, 04 Sep 2020 00:00:00 -0000

ros-one-moveit-ros-benchmarks (1.0.6-0noble) noble; urgency=high

  * [maint] Adapt repository for splitted moveit_resources layout (#2199 <https://github.com/ros-planning/moveit/issues/2199>)


## ros-one-moveit-ros-benchmarks 1.1.16-49noble.20251208.1546

=== debian/changelog ===
ros-one-moveit-ros-benchmarks (1.1.16-49noble.20251208.1546) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <dave@picknik.ai>  Mon, 08 Dec 2025 15:46:43 +0000

## ros-one-moveit-ros-benchmarks 1.1.16-50jammy.20260128.2232

=== debian/changelog ===
ros-one-moveit-ros-benchmarks (1.1.16-50jammy.20260128.2232) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <dave@picknik.ai>  Wed, 28 Jan 2026 22:32:01 +0000

## ros-one-moveit-ros-benchmarks 1.1.16-50noble.20260128.2244

=== debian/changelog ===
ros-one-moveit-ros-benchmarks (1.1.16-50noble.20260128.2244) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <dave@picknik.ai>  Wed, 28 Jan 2026 22:44:38 +0000

## ros-one-moveit-ros-benchmarks 1.1.16-51jammy.20260301.2224

=== debian/changelog ===
ros-one-moveit-ros-benchmarks (1.1.16-51jammy.20260301.2224) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <dave@picknik.ai>  Sun, 01 Mar 2026 22:24:31 +0000

## ros-one-moveit-ros-benchmarks 1.1.16-51noble.20260301.2218

=== debian/changelog ===
ros-one-moveit-ros-benchmarks (1.1.16-51noble.20260301.2218) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <dave@picknik.ai>  Sun, 01 Mar 2026 22:18:42 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Dave Coleman <dave@picknik.ai>
 Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-moveit-ros-planning, ros-one-moveit-ros-warehouse, ros-one-pluginlib (>= 1.11.2), ros-one-roscpp, ros-one-tf2-eigen
-Homepage: http://moveit.ros.org
+Homepage: http://moveit.ai
 Standards-Version: 3.9.2
 
 Package: ros-one-moveit-ros-benchmarks

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-moveit-ros-benchmarks//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install
